<?php

/**
 * @wordpress-plugin
 * Plugin Name:       BodyGraph Chart Integration for WordPress
 * Plugin URI:        https://bodygraphchart.com/
 * Description:       Generate human design charts
 * Version:           2.0.0
 * Author:            Human Design Technologies LTD
 * Author URI:        https://bodygraphchart.com/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       bgc
 */

if (!defined('WPINC')) {
	die;
}

define('BGC_PLUGIN_DIR', trailingslashit(dirname(__FILE__)));
define('BGC_PLUGIN_URL', plugin_dir_url(__FILE__));

include_once BGC_PLUGIN_DIR . 'includes/functions.php';
include_once BGC_PLUGIN_DIR . 'includes/frontend.php';

if (is_admin()) {
	include_once BGC_PLUGIN_DIR . 'includes/backend.php';
}

if (!function_exists('bgc_register_activation_hook')) {
	function bgc_register_activation_hook() {
		global $wpdb, $table_prefix;

		$charset_collate = $wpdb->get_charset_collate();

		$sql = "
			CREATE TABLE IF NOT EXISTS {$table_prefix}bgc_charts (
				id mediumint(9) NOT NULL AUTO_INCREMENT,
				user_id mediumint(9) NOT NULL,
				chart_hash VARCHAR(255) NOT NULL,
				chart_data MEDIUMTEXT NOT NULL,
				created_at datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
				INDEX (user_id, chart_hash),
				PRIMARY KEY (id)
			) {$charset_collate};
		";

		require_once ABSPATH . '/wp-admin/includes/upgrade.php';

		dbDelta($sql);
	}

	register_activation_hook(__FILE__, 'bgc_register_activation_hook');
}
