<?php do_action('bgc_before_chart_page'); ?>

<section class="chartmap-wrapper sectionspace-40" id="bgc-chart">
	<div class="container hd-container">
		<div>
			<div class="chartmap-inner">
				<div class="order-item">
					<div class="chart-left">
						<div class="avatar-details">
							<span><?php echo bgc_generate_initials($data->Properties->Name); ?></span>
							<div class="avatar-data">
								<h5><?php echo $data->Properties->Name; ?></h5>
								<p><?php echo $data->Properties->BirthPlace; ?></p>
							</div>
						</div>
					</div>
					<div class="chart-right">
						<div class="edit-actions">
							<?php if (bgc_can_edit_chart($data)) : ?>
								<a href="<?php echo add_query_arg('bgc-edit', 1); ?>">
									<img src="<?php echo WB_THEME_URL; ?>/images/pencil.svg" alt="<?php _e('Edit', 'bgc'); ?>" class="img-fluid">
								</a>
							<?php endif; ?>
							<?php if (bgc_can_delete_chart($data)) : ?>
								<a href="<?php echo add_query_arg('bgc-delete', 1); ?>">
									<img src="<?php echo WB_THEME_URL; ?>/images/trash.svg" alt="<?php _e('Delete', 'bgc'); ?>" class="img-fluid">
								</a>
							<?php endif; ?>
						</div>
						<?php if (bgc_has_charts()) : ?>
							<form method="get">
								<select name="bgch" onchange="this.form.submit();">
									<?php foreach (bgc_charts_list() as $chart_hash => $chart_data) : ?>
										<option value="<?php echo $chart_hash; ?>" <?php selected($chart_hash, $_REQUEST['bgch']); ?>>
											<?php echo $chart_data->Properties->Name; ?>
										</option>
									<?php endforeach; ?>
								</select>
							</form>
						<?php endif; ?>
						<?php if (bgc_can_save_chart($data)) : ?>
							<div class="main-actions">
								<a href="<?php echo add_query_arg('bgc-save', 1); ?>" class="transparen-black-btn">
									<?php echo bgc_get_translated_string('result', 'save_chart'); ?>
								</a>
							</div>
						<?php endif; ?>
					</div>
				</div>
			</div>
			<div class="dashboard-wrapper">
				<div>
					<div class="dashboard-inner">
						<div class="left-content">
							<div class="left-area-inner">
								<div class="inner-body-left">
									<div class="grades-list">
										<div class="list-items-grades">
											<ul>
												<li>
													<div class="boxes-list design">
														<h3><?php echo bgc_get_translated_string('result', 'design'); ?></h3>
													</div>
												</li>
												<li>
													<div class="chart-container">
														<div class="image-frame-wrapper">
															<div class="stats-boxes">
																<div class="left-boxes common-boxes">
																	<div id="variable-digestion">
																		<?php echo $chart_design_options->arrow; ?>
																	</div>
																	<div id="variable-environment">
																		<?php echo $chart_design_options->arrow; ?>
																	</div>
																</div>
																<div class="left-boxes common-boxes">
																	<div id="variable-awareness">
																		<?php echo $chart_design_options->arrow; ?>
																	</div>
																	<div id="variable-perspective">
																		<?php echo $chart_design_options->arrow; ?>
																	</div>
																</div>
															</div>
															<figure>
																<?php echo $chart_design_options->chart; ?>
															</figure>
														</div>
													</div>
												</li>
												<li>
													<div class="boxes-list rightlist personality">
														<h3><?php echo bgc_get_translated_string('result', 'personality'); ?></h3>
													</div>
												</li>
											</ul>
										</div>
									</div>
								</div>
							</div>
						</div>
						<div class="right-content">
							<ul class="dashboard-desc-text" id="chart-properties"></ul>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</section>

<?php do_action('bgc_after_chart_page'); ?>
