<?php do_action('bgc_before_form_page'); ?>

<div class="form-inner" id="bgc-form">
	<?php if ($title) : ?>
		<h2><?php echo $title; ?></h2>
	<?php endif; ?>
	<form action="<?php echo add_query_arg('bgc-generate', 1); ?>" method="post">
		<div class="form-error"></div>
		<div class="grid-row">
			<div class="grid-6">
				<div class="input-field">
					<input type="text" name="_first_name" value="<?php echo !empty($first_name) ? $first_name : ''; ?>" id="first_name" placeholder="<?php echo $translations['form']['first_name']; ?>" required>
				</div>
			</div>
			<div class="grid-6">
				<div class="input-field">
					<input type="text" name="_last_name" value="<?php echo !empty($last_name) ? $last_name : ''; ?>" id="last_name" placeholder="<?php echo $translations['form']['last_name']; ?>" required>
				</div>
			</div>
		</div>
		<div class="grid-row">
			<div class="grid-4">
				<div class="input-field">
					<div class="select-wrapper">
						<select name="_year" id="year" <?php echo !empty($year) ? 'data-selected="' . $year . '"' : ''; ?> required>
							<option selected disabled><?php echo $translations['form']['year']; ?></option>
						</select>
					</div>
				</div>
			</div>
			<div class="grid-4">
				<div class="input-field">
					<div class="select-wrapper">
						<select name="_month" id="month" <?php echo !empty($month) ? 'data-selected="' . $month . '"' : ''; ?> required>
							<option selected disabled><?php echo $translations['form']['month']; ?></option>
						</select>
					</div>
				</div>
			</div>
			<div class="grid-4">
				<div class="input-field">
					<div class="select-wrapper">
						<select name="_day" id="day" <?php echo !empty($day) ? 'data-selected="' . $day . '"' : ''; ?> required>
							<option selected disabled><?php echo $translations['form']['day']; ?></option>
						</select>
					</div>
				</div>
			</div>
		</div>
		<div class="grid-row">
			<div class="grid-6">
				<div class="input-field">
					<div class="two-select">
						<div class="select-wrapper hour">
							<select name="_hour" id="hour" <?php echo !empty($hour) ? 'data-selected="' . $hour . '"' : ''; ?> required>
								<option selected disabled><?php echo $translations['form']['hour']; ?></option>
							</select>
						</div>
						<div class="select-wrapper format">
							<select name="_ampm" required>
								<option value="am" <?php echo !empty($ampm) ? selected($ampm, 'am') : ''; ?>>
									<?php _e('AM', 'bgc'); ?>
								</option>
								<option value="pm" <?php echo !empty($ampm) ? selected($ampm, 'pm') : ''; ?>>
									<?php _e('PM', 'bgc'); ?>
								</option>
							</select>
						</div>
					</div>
				</div>
			</div>
			<div class="grid-6">
				<div class="input-field">
					<div class="select-wrapper">
						<select name="_minute" id="minute" <?php echo !empty($minute) ? 'data-selected="' . $minute . '"' : ''; ?> required>
							<option selected disabled><?php echo $translations['form']['minute']; ?></option>
						</select>
					</div>
				</div>
			</div>
		</div>
		<div class="grid-row">
			<div class="grid-12">
				<div class="input-field">
					<input type="text" name="_location" value="<?php echo !empty($location) ? $location : ''; ?>" id="location" placeholder="<?php echo $translations['form']['location']; ?>" autocomplete="off" required data-api-key="<?php echo $api_key; ?>">
					<input type="hidden" name="_timezone" value="<?php echo !empty($timezone) ? $timezone : ''; ?>" id="timezone">
				</div>
			</div>
		</div>
		<?php if ($confirm) : ?>
			<div class="checkbox-list m-t-25">
				<div class="checkbox-item">
					<input type="checkbox" name="_terms" id="terms" required>
					<label for="terms" class="fs-14">
						<?php echo $translations['form']['confirmation_terms']; ?>
					</label>
				</div>
			</div>
			<div class="button-wrapper">
				<a href="#" class="black-transparent-btn m-r-15 position-static close-modal-no-style">
					<?php echo $translations['form']['return']; ?>
				</a>
				<input type="hidden" name="_confirm" value="1">
				<input type="submit" value="<?php echo $translations['form']['continue']; ?>" class="theme-btn m-l-15 theme-btn">
			</div>
		<?php else : ?>
			<?php if (!empty(get_option('_bgc_apps'))) : ?>
				<div class="grid-row">
					<div class="grid-12">
						<div class="input-field">
							<input type="email" name="_email" id="email" placeholder="<?php echo $translations['form']['email']; ?>" <?php echo get_option('_bgc_email_optional', 0) ? '' : 'required'; ?>>
						</div>
					</div>
				</div>
			<?php endif; ?>
			<?php if (get_option('_bgc_terms_checkbox', 1)) : ?>
				<div class="grid-row">
					<div class="grid-12">
						<div class="checkbox-item">
							<input type="checkbox" name="_terms" id="terms" <?php echo get_option('_bgc_email_optional', 0) ? '' : 'required'; ?>>
							<label for="terms" class="fs-14">
								<?php echo $translations['form']['newsletter_terms']; ?>
							</label>
						</div>
					</div>
				</div>
			<?php endif; ?>
			<div class="grid-row">
				<div class="grid-12">
					<div class="submit-form">
						<input type="submit" value="<?php echo $translations['form']['submit']; ?>" class="theme-btn">
					</div>
				</div>
			</div>
		<?php endif; ?>
	</form>
</div>

<?php do_action('bgc_after_form_page'); ?>
